Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert
Class ConversionExecutorNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.binding.convert.ConversionException
                      org.springframework.binding.convert.ConversionExecutorNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ConversionExecutorNotFoundException

extends ConversionException

Thrown when a conversion executor could not be found in a conversion service.

Author:
  Keith Donald
See Also:
  `ConversionService.getConversionExecutor(Class, Class)`, Serialized Form

Constructor Summary
`ConversionExecutorNotFoundException(java.lang.Class sourceClass, java.lang.Class targetClass, java.lang.String message)` Creates a new conversion executor not found exception.

Method Summary
`java.lang.Class` | `getSourceClass()` Returns the source type requested to convert from.
`java.lang.Class` | `getTargetClass()` Returns the target type requested to convert to.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionExecutorNotFoundException

    public ConversionExecutorNotFoundException(java.lang.Class sourceClass,
                                               java.lang.Class targetClass,
                                               java.lang.String message)

  Creates a new conversion executor not found exception.

  Parameters:
    `sourceClass` - the source type requested to convert from
    `targetClass` - the target type requested to convert to
    `message` - a descriptive message

Method Detail

### getSourceClass

    public java.lang.Class getSourceClass()

  Returns the source type requested to convert from.

### getTargetClass

    public java.lang.Class getTargetClass()

  Returns the target type requested to convert to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD